ilch Forum » Ilch CMS 2.x » Allgemein » Updater-Testphase

Geschlossen
  1. #1
    User Pic
    blackcoder Entwickler
    Registriert seit
    22.05.2014
    Beiträge
    606
    Beitragswertungen
    71 Beitragspunkte
    Updater-Testphase

    Als Vorbereitung zur Veröffentlichung von Ilch 2 testen wir die Update-Funktion nun im größeren Umfang. Hierfür haben wir eine Ilch 2-Variante erstellt, welche einige Test-Updates erhalten wird. Um an der Testphase für die Update-Funktion teilzunehmen, muss diese Variante installiert werden. Wir bitten um Rückmeldung zu eventuell auftretenden Problemen.

    Link zur Test-Version (Entwicklerversion)
    github.com/IlchCMS/Ilch-2.0/archive/Update-Test.zip

    Link zur Test-Version (Userversion)
    www.ilch.de/ilch2/versions/Update-Test.zip

    Aktuell haben wir schon eine Reihe von Test-Updates online gestellt.

    Update 2.0.1: Version verändern
    Dieses Update erhöht die Versionsnummer auf 2.0.1.

    Update 2.0.2, 2.0.3 und 2.0.4: Zertifikat ersetzen
    1. Update von 2.0.2 ersetzt das Zertifikat
    2. Update 2.0.3 ist ein Update, welches mit dem alten Zertifikat signiert wurde. Dieses Update muss abgewiesen werden.
    3. Update 2.0.0.4 ist mit dem neuen Zertifikat signiert ist - dieses Update muss erfolgreich installiert werden können.

    Update 2.0.5 und 2.0.6: Datei löschen
    Update 2.0.5 wechselt wieder zurück zum alten Zertifikat und legt die Datei "9YXvSpjbga.txt" an.
    Update 2.0.6 löscht diese Datei. Wenn die Datei nicht erfolgreich gelöscht wurde, wird der Text "The test file is still existing. Test failed." angezeigt - andernfalls "Test file deleted. Test successful.".

    Update 2.0.7: Änderungen an der Datenbank
    Dieses Update testet Änderungen an der Datenbank wie z.B. das Anlegen einer Tabelle, Ändern des Datentyps und Umbenennen einer Spalte usw.

    ZitatZitat
    Success: Table created.
    Fail: Creating table [prefix]_9YXvSpjbga failed.

    Success: Changed datatype of column.
    Possible fail: Changed datatype of column.

    Success: Renamed column.
    Fail: Renaming column failed.

    Success: Inserted row.
    Fail: Inserting row failed.

    Success: Table deleted.
    Fail: Table [prefix]_9YXvSpjbga could not be deleted.

    Update 2.0.8: Manipuliertes Update
    Dieses Update muss mit der Meldung "Update war beschädigt oder manipuliert. Update verworfen." abgewiesen werden.

    Update 2.0.9 und 2.0.10: Beschädigtes, aber signiertes Update
    Beim Update 2.0.9 muss die Meldung "Installation fehlgeschlagen" kommen.
    Update 2.0.10 muss anschließend erfolgreich installiert werden können und die Meldungen "Success: The previous damaged update is gone." und "Success: The signature file of the previous damaged update is gone." ausgeben.
    Wenn "Fail: The previous damaged update still exists. Test failed." oder "Fail: The signature file of the previous damaged update still exists. Test failed." ausgegeben wird, wurde das beschädigte Update 2.0.9 und/oder dessen Signatur nicht gelöscht.

    Bei den Updates 2.0.3, 2.0.8 und 2.0.9 muss anschließend die Version in der Datenbank angepasst werden, damit mit den nachfolgenden Test-Updates fortgefahren werden kann. Dies wird natürlich später nicht nötig sein.

    Die Versionsnummer kann z.B. mit phpMyAdmin aktualisiert werden.



    Hierfür muss in der Tabelle "[prefix]_config" bei der Zeile in der in der Spalte "key" "version" steht, in der Spalte "value" die Versionsnummer angepasst werden.

    Im Falle von Update 2.0.3, welches abgewiesen wird, muss nachdem dieses Update erfolgreich abgewiesen wurde, die Versionsnummer auf "2.0.3" gesetzt werden. Anschließend wird das Update "2.0.4" als nächstes verfügbares Update angezeigt.

    Solltet ihr eine der Meldungen wie z.B. "The test file is still existing. Test failed." oder einen PHP-Fehler sehen, dann meldet den Fehler bitte im Forum.

    Im Anschluss werden wir noch die Modul- und Layout-Updates testen. Natürlich könnt ihr auch jetzt schon diese Funktionen im Admincenter unter Module oder Layouts testen.
    1 Mitglieder finden den Beitrag gut.
  2. #2
    User Pic
    BmwFreundeMV Mitglied
    Registriert seit
    19.01.2016
    Beiträge
    158
    Beitragswertungen
    5 Beitragspunkte
    Wird ilch später was kosten ? Weil sich das so raus lesen tut wegen Zertifikat echt oder unecht .
    0 Mitglieder finden den Beitrag gut.
  3. #3
    User Pic
    blackcoder Entwickler
    Registriert seit
    22.05.2014
    Beiträge
    606
    Beitragswertungen
    71 Beitragspunkte
    Das Zertifikat gehört zu den signierten Updates.
    Hier wird das ganze genauer erklärt:
    www.ilch.de/forum-showposts-53305.html

    Kurz gesagt werden die Ilch-Updates, Module und Layouts, die wir über den Ilch-Server ausliefern signiert, damit Ilch dann prüfen kann ob das Update, Modul oder Layout unbeschädigt ist und nicht manipuliert wurde.

    Ist also eine Sicherheitsfunktion.
    0 Mitglieder finden den Beitrag gut.
  4. #4
    User Pic
    Outi77 Mitglied
    Registriert seit
    31.03.2013
    Beiträge
    1.203
    Beitragswertungen
    130 Beitragspunkte
    Alle aufgeführten Updates (oder auch nicht) haben bei mir genau so funktioniert wie beschrieben. Gute Arbeit Yes
    Die richtige Formulierung eines Problems ist nicht selten bereits die halbe Lösung.
    »Albert Einstein«
    1 Mitglieder finden den Beitrag gut.
  5. #5
    User Pic
    corian Entwickler
    Registriert seit
    16.06.2011
    Beiträge
    841
    Beitragswertungen
    72 Beitragspunkte
    Danke für das feedback lächeln
    0 Mitglieder finden den Beitrag gut.
  6. #6
    User Pic
    BmwFreundeMV Mitglied
    Registriert seit
    19.01.2016
    Beiträge
    158
    Beitragswertungen
    5 Beitragspunkte
    Ebend so, alles hat so geklappt wie beschrieben
    0 Mitglieder finden den Beitrag gut.
  7. #7
    User Pic
    Baujahr73 Mitglied
    Registriert seit
    05.09.2013
    Beiträge
    79
    Beitragswertungen
    12 Beitragspunkte
    Hallo zusammen,

    habe mir auch die Update Version installiert.

    Mir ist aufgefallen das die Updates immer nacheinander kommen, man muss hier dann jedes Update einzeln nacheinander installieren,

    2.0.1
    2.0.2

    und bei 2.0.3 kommt eine Fehlermeldung

    Aktuelle Version: 2.0.2
    
    Lese aktuelle Release Version...
    
    Neue Version gefunden: 2.0.3
    
    Update war beschädigt oder manipuliert. Update verworfen.
    
    Update herunterladen?


    Würde es besser finden wenn man gleich auf die neuste Version updaten könnte statt jetzt alle Updates einzeln ausführen zu müssen!

    Oder ist das zu Testzwecken so gewollt?


    Zuletzt modifiziert von Baujahr73 am 25.02.2017 - 11:29:11
    0 Mitglieder finden den Beitrag gut.
  8. #8
    User Pic
    corian Entwickler
    Registriert seit
    16.06.2011
    Beiträge
    841
    Beitragswertungen
    72 Beitragspunkte
    ZitatZitat geschrieben von Baujahr73

    bei 2.0.3 kommt eine Fehlermeldung


    Würde es besser finden wenn man gleich auf die neuste Version updaten könnte statt jetzt alle Updates einzeln ausführen zu müssen!



    Der Fehler ist gewollt, ich verweise dazu noch mal oben auf den anfangs Post von Blackcoder wie die Update Test Phase zu händeln ist.

    Es müssen alle updates nach einander installiert werden, nur so ist jeder auf den neues stand. Wenn du z.b. in einem halben jahr ilch installierst und wir bei version 2.0.14 sind, dann sind natürlich alle vorherigen updates schon vorhanden.
    0 Mitglieder finden den Beitrag gut.
  9. #9
    User Pic
    IceT33 Mitglied
    Registriert seit
    22.10.2005
    Beiträge
    564
    Beitragswertungen
    5 Beitragspunkte
    Ich habs auch getestet .... verlief alles so wie gewollt
    0 Mitglieder finden den Beitrag gut.
  10. #10
    User Pic
    Baujahr73 Mitglied
    Registriert seit
    05.09.2013
    Beiträge
    79
    Beitragswertungen
    12 Beitragspunkte
    Verlief bei mir auch ohne Probleme!

    Manchmal bin ich halt einfach nur doof, hatte das irgendwie überlesen.
    0 Mitglieder finden den Beitrag gut.
  11. #11
    User Pic
    IceT33 Mitglied
    Registriert seit
    22.10.2005
    Beiträge
    564
    Beitragswertungen
    5 Beitragspunkte
    ich finde es einfach eine Armut das hier nur eine Handvoll Leute testet aber wenn es um die Frage geht wann endlich ilch2 fertig wird große Töne gespuckt werden.

    Schämt euch ilch Fans
    2 Mitglieder finden den Beitrag gut.
  12. #12
    User Pic
    DooM Mitglied
    Registriert seit
    20.01.2017
    Beiträge
    3
    Beitragswertungen
    1 Beitragspunkte
    Nur weil nicht geschrieben wird heißt es nicht das nur 2 Leute testen.
    Ich schreibe wenn auch nur bei Fehlern. Alles andere ist unnötig in meinen Augen
    0 Mitglieder finden den Beitrag gut.
  13. #13
    User Pic
    Mattmax Mitglied
    Registriert seit
    20.03.2017
    Beiträge
    47
    Beitragswertungen
    0 Beitragspunkte
    Moin, installiere / lade ich die Update-Version einfach auf die vorhandene ilch2.0 drüber oder muss ich zuerst die alte runterschmeißen?


    Zuletzt modifiziert von Mattmax am 24.03.2017 - 15:44:16
    0 Mitglieder finden den Beitrag gut.
  14. #14
    User Pic
    blackcoder Entwickler
    Registriert seit
    22.05.2014
    Beiträge
    606
    Beitragswertungen
    71 Beitragspunkte
    Der Begriff "Update-Version" klingt vielleicht bisschen irreführend. Hier handelt es sich nur um eine Variante von Ilch 2 um die Update-Funktion zu testen. Aktuell ist diese Variante auch veraltet. Also bitte nicht diese Variante installieren unter der Annahme, dass es eine eine erweiterte/bessere Version von Ilch 2 wäre.

    Das normale Ilch 2 enthält die Update-Funktion natürlich auch.
    0 Mitglieder finden den Beitrag gut.
  15. #15
    User Pic
    Mattmax Mitglied
    Registriert seit
    20.03.2017
    Beiträge
    47
    Beitragswertungen
    0 Beitragspunkte
    Danke.... ich habe die ilch 2.0 master installiert...
    0 Mitglieder finden den Beitrag gut.
Geschlossen

Zurück zu Allgemein

Optionen: Bei einer Antwort zu diesem Thema eine eMail erhalten